Stop a subjob
Stop a running subjob within a run.
POST
/api/runs/{id}/subjobs/{subjobId}/stopPath parameters
idnumberrequiredPath parameter: id
subjobIdnumberrequiredPath parameter: subjobId
Request
curl
curl -X POST https://trickest.io/api/runs/{id}/subjobs/{subjobId}/stop \
-H "Authorization: Bearer $TRICKEST_TOKEN"Responses
202Subjob is stopping
successboolean400Bad Request – validation error or malformed input
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
401Unauthorized – missing or expired token
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
403Forbidden – insufficient permissions
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
429Too Many Requests – rate limited
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.
500Internal Server Error
codestringrequiredmessagestringrequireddetailsobjectField-level detail when the error is a validation failure.